# MindForger Credits

Written by [Martin Dvorak](http://me.mindforger.com).

Acknowledgements to contributors:

* Vlasta 'Šaman' Hajek / [Bonitoo.io](https://www.bonitoo.io/) (Windows port)

Big thanks to 3rd party FOSS content authors:

* John Gruber ([Markdown](https://daringfireball.net/projects/markdown/) - spec)
* Qt Company ([Qt](https://www.qt.io/) - lib and code)
* GitHub ([CMark GFM](https://github.com/github/cmark-gfm) - Markdown rendering - lib)
* Kevin Hendricks, Bjoern Jacke, Lázsló Németh ([Hunspell](https://github.com/hunspell/hunspell) - spellcheck - lib)
* Daniel Stenberg ([cURL](https://curl.se) - libcurl with GnuTLS flavor)
* Niels Lohmann ([json](https://github.com/nlohmann/json) - JSon for modern C++ library)
* NetBSD Foundation (strptime - Windows port - lib)
* Toni Ronkko (dirent - Windows port - lib)
* Microsoft (getopt - Windows port - lib)
* Jordan Russell ([jrsoftware.org](http://jrsoftware.org) - Windows installer framework)
* Graeme Gott and Wereturtle ([Ghostwriter](https://github.com/wereturle/ghostwriter) - inspiration and code)
* Christian Loose ([CuteMarkEd](https://cloose.github.io/CuteMarkEd/) - inspiration and code)
* Jean-loup Gailly, Mark Adler ([Zlib](https://sourceforge.net/projects/gnuwin32/) - library)
* David Parsons ([Discount](http://www.pell.portland.or.us/~orc/Code/discount/) - Markdown rendering - library used in the past)
* Google ([Google C++ unit testing framework](https://github.com/google/googletest))
* Knut Sveidqvist ([Mermaid.js](https://mermaidjs.github.io/) - diagrams and flowcharts rendering in HTML)
* AMS and SIAM ([MathJax.js](https://www.mathjax.org/) - math rendering in HTML)
* Ivan Sagalaev ([Highlight.js](https://highlightjs.org/) - source code syntax highlighting)
* Danny Allen (primary [icon theme](https://store.kde.org/content/show.php?content=18317) store.kde.com - icons)
* Krita (https://github.com/KDE/krita - menu icons - remixed)
* Travis CI ([travis-ci.org](https://travis-ci.org/) - continous integration tests and builds infra - Ubuntu, macOS)
* AppVeyor CI ([appveyor.com](https://www.appveyor.com/) - continous integration tests and builds infra - Windows)
* Raimund Hocke ([SikuliX](http://sikulix.com/)- GUI automation testing)
* Lewis Van Winkle ([GENANN](https://github.com/codeplea/genann) - minimal neural network - library)
* Oleander Software ([Oleander stemming library](http://www.oleandersolutions.com/stemming/stemming.html) - stemmer - library)
* Jamie McGowan ([Remarkable](https://remarkableapp.github.io/) - inspiration and code)
* Andrey Smirnov ([Aptly](https://www.aptly.info/) - Debian PPAs mgmt tool)
* Apiary ([API blueprints](https://apiary.io/) - test data)
* Mark Summerfield ([Advanced Qt Programming](http://www.qtrac.eu/aqpbook.html) book examples - code snippets)
* Andres Mejia (Aho-Corasick algorithm implementation - code snippets)
* SQLite ([main file blessing](https://github.com/sqlite/sqlite/blob/master/src/main.c) - inspiration)

See [licenses](./licenses) folder for 3rd party content licensing details.

Acknowledgements to researchers:

* Karel Moulik (long term vision and ideas, consultations)
* Tomas Sieger (MindForger applications ideas, consultations)
* Gekaremi (comprehensive AI/NLP research, ideas and suggestions)

Acknowledgements to reviewers, testers and supporters:

* Ivan Kudibal (review, adoption and project support)
* Stefan Pacinda (review, testing)
* Petr Kozelka (MacBook borrowing, consultations)
* Tomas 'Floex' Dvorak (review, testing)
* Honza Odstrcil (feedback)

Special thanks to:

* Bjarne Stroustrup (C++ - for inspiring visions and being the authority behind C++ language)
* Linus Torvalds (Linux and Git - for being inspiration and strong opinions)
* Richard Stallman (GNU and GNU GPL - for passionate software freedom activism)
